import 'package:base_utils/ui/res/color.dart';
import 'package:base_utils/ui/res/image.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class ErrorLoadingPage extends StatelessWidget {
  Function onRetry;

  ErrorLoadingPage({@required this.onRetry});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Container(
            margin: EdgeInsets.only(left: 10.0),
            width: 109.0,
            height: 94.0,
            child: SvgPicture.asset(AssetsImage.error, package: "base_utils"),
          ),
          Container(
              margin: EdgeInsets.only(top: 21.0, bottom: 32.0),
              child: Text(
                "Không tải được dữ liệu.\nXin vui lòng thử lại",
                style: TextStyle(
                    fontWeight: FontWeight.w400,
                    fontSize: 14.0,
                    color: AssetsColor.greyError),
                textAlign: TextAlign.center,
              )),
          RaisedButton(
            child: Text(
              'Thử lại',
              style: TextStyle(color: Colors.white, fontSize: 14.0),
            ),
            onPressed: onRetry,
            color: AssetsColor.retryButtonColor,
          )
        ],
      ),
    );
  }
}
